Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.annotation.ejb
Enum Durability

    java.lang.Object
      java.lang.Enum<Durability>
          org.jboss.annotation.ejb.Durability

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Durability>

    public enum Durability

extends java.lang.Enum<Durability>

Enumeration for the durability of a JMS Topic Subscriber

Version:
  $Revision: 1.1.2.9 $
Author:
  Bill Burke

Enum Constant Summary
`DURABLE`
`NON_DURABLE`

Method Summary
`static Durability` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Durability[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DURABLE

    public static final Durability DURABLE

### NON_DURABLE

    public static final Durability NON_DURABLE

Method Detail

### values

    public static final Durability[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Durability c : Durability.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Durability valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD